Subject: [tcpm] Comment on draft-gont-tcpm-tcp-timestamps-00

From: Eric Rescorla <[email-masked]>
Date: Sat, 15 Nov 2008 17:38:19 -0600

In Section 2, you write:

   the requirements of Section 4.2.2 of RFC 1323 [RFC1323], and F() is a
   function that should not be computable from the outside.  Therefore,
   we suggest F() to be a cryptographic hash function of the
   connection-id and some secret data.

Sorry to sound like nitpicky cryptographer guy here, but you want 
a PRF, not a hash function. A hash function might or might not 
be good enough depending on the function... 

-Ekr

_______________________________________________
tcpm mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/tcpm